<?php
$tdatavoted_b_01 = array();
$tdatavoted_b_01[".searchableFields"] = array();
$tdatavoted_b_01[".ShortName"] = "voted_b_01";
$tdatavoted_b_01[".OwnerID"] = "";
$tdatavoted_b_01[".OriginalTable"] = "voted_b_01";


$tdatavoted_b_01[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatavoted_b_01[".originalPagesByType"] = $tdatavoted_b_01[".pagesByType"];
$tdatavoted_b_01[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatavoted_b_01[".originalPages"] = $tdatavoted_b_01[".pages"];
$tdatavoted_b_01[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatavoted_b_01[".originalDefaultPages"] = $tdatavoted_b_01[".defaultPages"];

//	field labels
$fieldLabelsvoted_b_01 = array();
$fieldToolTipsvoted_b_01 = array();
$pageTitlesvoted_b_01 = array();
$placeHoldersvoted_b_01 = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsvoted_b_01["English"] = array();
	$fieldToolTipsvoted_b_01["English"] = array();
	$placeHoldersvoted_b_01["English"] = array();
	$pageTitlesvoted_b_01["English"] = array();
	$fieldLabelsvoted_b_01["English"]["region"] = "Region";
	$fieldToolTipsvoted_b_01["English"]["region"] = "";
	$placeHoldersvoted_b_01["English"]["region"] = "";
	$fieldLabelsvoted_b_01["English"]["numRegion"] = "Num Region";
	$fieldToolTipsvoted_b_01["English"]["numRegion"] = "";
	$placeHoldersvoted_b_01["English"]["numRegion"] = "";
	$fieldLabelsvoted_b_01["English"]["voteWith"] = "Vote With";
	$fieldToolTipsvoted_b_01["English"]["voteWith"] = "";
	$placeHoldersvoted_b_01["English"]["voteWith"] = "";
	$fieldLabelsvoted_b_01["English"]["CountOfnumPers"] = "Count Ofnum Pers";
	$fieldToolTipsvoted_b_01["English"]["CountOfnumPers"] = "";
	$placeHoldersvoted_b_01["English"]["CountOfnumPers"] = "";
	if (count($fieldToolTipsvoted_b_01["English"]))
		$tdatavoted_b_01[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsvoted_b_01["Arabic"] = array();
	$fieldToolTipsvoted_b_01["Arabic"] = array();
	$placeHoldersvoted_b_01["Arabic"] = array();
	$pageTitlesvoted_b_01["Arabic"] = array();
	$fieldLabelsvoted_b_01["Arabic"]["region"] = "Region";
	$fieldToolTipsvoted_b_01["Arabic"]["region"] = "";
	$placeHoldersvoted_b_01["Arabic"]["region"] = "";
	$fieldLabelsvoted_b_01["Arabic"]["numRegion"] = "Num Region";
	$fieldToolTipsvoted_b_01["Arabic"]["numRegion"] = "";
	$placeHoldersvoted_b_01["Arabic"]["numRegion"] = "";
	$fieldLabelsvoted_b_01["Arabic"]["voteWith"] = "Vote With";
	$fieldToolTipsvoted_b_01["Arabic"]["voteWith"] = "";
	$placeHoldersvoted_b_01["Arabic"]["voteWith"] = "";
	$fieldLabelsvoted_b_01["Arabic"]["CountOfnumPers"] = "Count Ofnum Pers";
	$fieldToolTipsvoted_b_01["Arabic"]["CountOfnumPers"] = "";
	$placeHoldersvoted_b_01["Arabic"]["CountOfnumPers"] = "";
	if (count($fieldToolTipsvoted_b_01["Arabic"]))
		$tdatavoted_b_01[".isUseToolTips"] = true;
}


	$tdatavoted_b_01[".NCSearch"] = true;



$tdatavoted_b_01[".shortTableName"] = "voted_b_01";
$tdatavoted_b_01[".nSecOptions"] = 0;

$tdatavoted_b_01[".mainTableOwnerID"] = "";
$tdatavoted_b_01[".entityType"] = 0;
$tdatavoted_b_01[".connId"] = "electiondb_at_ssl_localhost";


$tdatavoted_b_01[".strOriginalTableName"] = "voted_b_01";

	



$tdatavoted_b_01[".showAddInPopup"] = false;

$tdatavoted_b_01[".showEditInPopup"] = false;

$tdatavoted_b_01[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatavoted_b_01[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatavoted_b_01[".listAjax"] = false;
//	temporary
$tdatavoted_b_01[".listAjax"] = false;

	$tdatavoted_b_01[".audit"] = false;

	$tdatavoted_b_01[".locking"] = false;


$pages = $tdatavoted_b_01[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatavoted_b_01[".edit"] = true;
	$tdatavoted_b_01[".afterEditAction"] = 1;
	$tdatavoted_b_01[".closePopupAfterEdit"] = 1;
	$tdatavoted_b_01[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatavoted_b_01[".add"] = true;
$tdatavoted_b_01[".afterAddAction"] = 1;
$tdatavoted_b_01[".closePopupAfterAdd"] = 1;
$tdatavoted_b_01[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatavoted_b_01[".list"] = true;
}



$tdatavoted_b_01[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatavoted_b_01[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatavoted_b_01[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatavoted_b_01[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatavoted_b_01[".printFriendly"] = true;
}



$tdatavoted_b_01[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatavoted_b_01[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatavoted_b_01[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatavoted_b_01[".isUseAjaxSuggest"] = true;

$tdatavoted_b_01[".rowHighlite"] = true;





$tdatavoted_b_01[".ajaxCodeSnippetAdded"] = false;

$tdatavoted_b_01[".buttonsAdded"] = false;

$tdatavoted_b_01[".addPageEvents"] = false;

// use timepicker for search panel
$tdatavoted_b_01[".isUseTimeForSearch"] = false;


$tdatavoted_b_01[".badgeColor"] = "EDCA00";


$tdatavoted_b_01[".allSearchFields"] = array();
$tdatavoted_b_01[".filterFields"] = array();
$tdatavoted_b_01[".requiredSearchFields"] = array();

$tdatavoted_b_01[".googleLikeFields"] = array();
$tdatavoted_b_01[".googleLikeFields"][] = "region";
$tdatavoted_b_01[".googleLikeFields"][] = "numRegion";
$tdatavoted_b_01[".googleLikeFields"][] = "voteWith";
$tdatavoted_b_01[".googleLikeFields"][] = "CountOfnumPers";



$tdatavoted_b_01[".tableType"] = "list";

$tdatavoted_b_01[".printerPageOrientation"] = 0;
$tdatavoted_b_01[".nPrinterPageScale"] = 100;

$tdatavoted_b_01[".nPrinterSplitRecords"] = 40;

$tdatavoted_b_01[".geocodingEnabled"] = false;










$tdatavoted_b_01[".pageSize"] = 20;

$tdatavoted_b_01[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatavoted_b_01[".strOrderBy"] = $tstrOrderBy;

$tdatavoted_b_01[".orderindexes"] = array();


$tdatavoted_b_01[".sqlHead"] = "SELECT region,  	numRegion,  	voteWith,  	CountOfnumPers";
$tdatavoted_b_01[".sqlFrom"] = "FROM voted_b_01";
$tdatavoted_b_01[".sqlWhereExpr"] = "";
$tdatavoted_b_01[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatavoted_b_01[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatavoted_b_01[".arrGroupsPerPage"] = $arrGPP;

$tdatavoted_b_01[".highlightSearchResults"] = true;

$tableKeysvoted_b_01 = array();
$tdatavoted_b_01[".Keys"] = $tableKeysvoted_b_01;


$tdatavoted_b_01[".hideMobileList"] = array();




//	region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "region";
	$fdata["GoodName"] = "region";
	$fdata["ownerTable"] = "voted_b_01";
	$fdata["Label"] = GetFieldLabel("voted_b_01","region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavoted_b_01["region"] = $fdata;
		$tdatavoted_b_01[".searchableFields"][] = "region";
//	numRegion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numRegion";
	$fdata["GoodName"] = "numRegion";
	$fdata["ownerTable"] = "voted_b_01";
	$fdata["Label"] = GetFieldLabel("voted_b_01","numRegion");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numRegion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numRegion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavoted_b_01["numRegion"] = $fdata;
		$tdatavoted_b_01[".searchableFields"][] = "numRegion";
//	voteWith
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "voteWith";
	$fdata["GoodName"] = "voteWith";
	$fdata["ownerTable"] = "voted_b_01";
	$fdata["Label"] = GetFieldLabel("voted_b_01","voteWith");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "voteWith";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "voteWith";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=10";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavoted_b_01["voteWith"] = $fdata;
		$tdatavoted_b_01[".searchableFields"][] = "voteWith";
//	CountOfnumPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "CountOfnumPers";
	$fdata["GoodName"] = "CountOfnumPers";
	$fdata["ownerTable"] = "voted_b_01";
	$fdata["Label"] = GetFieldLabel("voted_b_01","CountOfnumPers");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "CountOfnumPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CountOfnumPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavoted_b_01["CountOfnumPers"] = $fdata;
		$tdatavoted_b_01[".searchableFields"][] = "CountOfnumPers";


$tables_data["voted_b_01"]=&$tdatavoted_b_01;
$field_labels["voted_b_01"] = &$fieldLabelsvoted_b_01;
$fieldToolTips["voted_b_01"] = &$fieldToolTipsvoted_b_01;
$placeHolders["voted_b_01"] = &$placeHoldersvoted_b_01;
$page_titles["voted_b_01"] = &$pageTitlesvoted_b_01;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["voted_b_01"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["voted_b_01"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_voted_b_01()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "region,  	numRegion,  	voteWith,  	CountOfnumPers";
$proto0["m_strFrom"] = "FROM voted_b_01";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "region",
	"m_strTable" => "voted_b_01",
	"m_srcTableName" => "voted_b_01"
));

$proto6["m_sql"] = "region";
$proto6["m_srcTableName"] = "voted_b_01";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numRegion",
	"m_strTable" => "voted_b_01",
	"m_srcTableName" => "voted_b_01"
));

$proto8["m_sql"] = "numRegion";
$proto8["m_srcTableName"] = "voted_b_01";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "voteWith",
	"m_strTable" => "voted_b_01",
	"m_srcTableName" => "voted_b_01"
));

$proto10["m_sql"] = "voteWith";
$proto10["m_srcTableName"] = "voted_b_01";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "CountOfnumPers",
	"m_strTable" => "voted_b_01",
	"m_srcTableName" => "voted_b_01"
));

$proto12["m_sql"] = "CountOfnumPers";
$proto12["m_srcTableName"] = "voted_b_01";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "voted_b_01";
$proto15["m_srcTableName"] = "voted_b_01";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "region";
$proto15["m_columns"][] = "numRegion";
$proto15["m_columns"][] = "voteWith";
$proto15["m_columns"][] = "CountOfnumPers";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "voted_b_01";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "voted_b_01";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="voted_b_01";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_voted_b_01 = createSqlQuery_voted_b_01();


	
		;

				

$tdatavoted_b_01[".sqlquery"] = $queryData_voted_b_01;



$tableEvents["voted_b_01"] = new eventsBase;
$tdatavoted_b_01[".hasEvents"] = false;

?>